# coding: utf-8
# frozen_string_literal: true

############################################
# © Alex Semyonov, 2013—2017, MIT License  #
# Author: Alex Semyonov <alex@semyonov.us> #
############################################

require 'giteaucrat/formatters/ruby_formatter'

module Giteaucrat
  module Formatters
    class CoffeeFormatter < RubyFormatter
      def encoding
        nil
      end

      def add_copyright!
        @contents = [format_copyright, contents].join("\n\n")
      end
    end
  end
end
