# coding: utf-8
# frozen_string_literal: true

############################################
# © Alex Semyonov, 2013—2017, MIT License  #
# Author: Alex Semyonov <alex@semyonov.us> #
############################################

require 'giteaucrat/formatters/coffee_formatter'

module Giteaucrat
  module Formatters
    class ErlangFormatter < CoffeeFormatter
      COMMENT_PARTS = %w[% % %].freeze
      COPYRIGHT_REGEXP = %r{(?<ruler>%+\n)(?<copyright>(%\s*[^\s/]+.*\s%\n)+)(%\s+%?\n(?<comment>(%\s*.*%?\n)+))?\k<ruler>\n+}
    end
  end
end
